Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.sqlserver
Class SQLServerBatchAction

    java.lang.Object
      org.apache.cayenne.access.jdbc.BaseSQLAction
          org.apache.cayenne.access.jdbc.BatchAction
              org.apache.cayenne.dba.sqlserver.SQLServerBatchAction

All Implemented Interfaces:
  SQLAction

    public class SQLServerBatchAction

extends BatchAction

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.access.jdbc.BatchAction
`batch, keyRowDescriptor, query`

Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`adapter, entityResolver`

Constructor Summary
`SQLServerBatchAction(BatchQuery batchQuery, JdbcAdapter adapter, EntityResolver entityResolver)`

Method Summary
`protected boolean` | `expectsToOverrideIdentityColumns()` Returns whether a table has identity columns.
`void` | `performAction(java.sql.Connection connection, OperationObserver observer)` Executes a query using a strategy defined by the implementation.
`protected void` | `setIdentityInsert(java.sql.Connection connection, boolean on)`

Methods inherited from class org.apache.cayenne.access.jdbc.BatchAction
`createBuilder, getQuery, hasGeneratedKeys, isBatch, processGeneratedKeys, runAsBatch, runAsIndividualQueries, setBatch`

Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`getAdapter, getEntityResolver, getInMemoryOffset, readResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLServerBatchAction

    public SQLServerBatchAction(BatchQuery batchQuery,
                                JdbcAdapter adapter,
                                EntityResolver entityResolver)

Method Detail

### performAction

    public void performAction(java.sql.Connection connection,
                              OperationObserver observer)
                       throws java.sql.SQLException,
                              java.lang.Exception

  Description copied from interface: `SQLAction`
  Executes a query using a strategy defined by the implementation.

  Specified by:
    `performAction` in interface `SQLAction`
  Overrides:
    `performAction` in class `BatchAction`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

### setIdentityInsert

    protected void setIdentityInsert(java.sql.Connection connection,
                                     boolean on)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### expectsToOverrideIdentityColumns

    protected boolean expectsToOverrideIdentityColumns()

  Returns whether a table has identity columns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.